Ginkgo: gko::AbsoluteComputable Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::AbsoluteComputable Class Referenceabstract

The AbsoluteComputable is an interface that allows to get the component wise absolute of a LinOp. More...

`#include <ginkgo/core/base/lin_op.hpp>`

Inheritance diagram for gko::AbsoluteComputable:
[legend]

## Public Member Functions
virtual std::unique_ptr< LinOp > | compute_absolute_linop () const =0
| Gets the absolute LinOp.
virtual void | compute_absolute_inplace ()=0
| Compute absolute inplace on each element.

## Detailed Description

The AbsoluteComputable is an interface that allows to get the component wise absolute of a LinOp.

Use EnableAbsoluteComputation<AbsoluteLinOp> to implement this interface.

## Member Function Documentation

## ◆ compute_absolute_inplace()

virtual void gko::AbsoluteComputable::compute_absolute_inplace | ( |  | ) |
| pure virtual

Compute absolute inplace on each element.

Implemented in gko::experimental::distributed::Vector< ValueType >, gko::experimental::distributed::Vector< previous_precision< ValueType > >, gko::experimental::distributed::Vector< to_complex< value_type > >, gko::experimental::distributed::Vector< ValueType >, gko::matrix::Coo< ValueType, IndexType >, gko::matrix::Coo< ValueType, IndexType >, gko::matrix::Csr< ValueType, IndexType >, gko::matrix::Csr< value_type, index_type >, gko::matrix::Csr< ValueType, IndexType >, gko::matrix::Dense< ValueType >, gko::matrix::Dense< absolute_type >, gko::matrix::Dense< remove_complex< ValueType > >, gko::matrix::Dense< to_complex< ValueType > >, gko::matrix::Dense< value_type >, gko::matrix::Dense< ValueType >, gko::matrix::Diagonal< ValueType >, gko::matrix::Diagonal< ValueType >, gko::matrix::Ell< ValueType, IndexType >, gko::matrix::Ell< value_type, index_type >, gko::matrix::Ell< ValueType, IndexType >, gko::matrix::Fbcsr< ValueType, IndexType >, gko::matrix::Fbcsr< ValueType, IndexType >, gko::matrix::Hybrid< ValueType, IndexType >, and gko::matrix::Sellp< ValueType, IndexType >.

## ◆ compute_absolute_linop()

virtual std::unique_ptr< LinOp > gko::AbsoluteComputable::compute_absolute_linop | ( |  | ) | const
| pure virtual

Gets the absolute LinOp.

Returns
  a pointer to the new absolute LinOp

Implemented in gko::EnableAbsoluteComputation< AbsoluteLinOp >, gko::EnableAbsoluteComputation< remove_complex< Coo< default_precision, int32 > > >, gko::EnableAbsoluteComputation< remove_complex< Csr< default_precision, int32 > > >, gko::EnableAbsoluteComputation< remove_complex< Dense< default_precision > > >, gko::EnableAbsoluteComputation< remove_complex< Diagonal< default_precision > > >, gko::EnableAbsoluteComputation< remove_complex< Ell< default_precision, int32 > > >, gko::EnableAbsoluteComputation< remove_complex< Fbcsr< default_precision, int32 > > >, gko::EnableAbsoluteComputation< remove_complex< Hybrid< default_precision, int32 > > >, gko::EnableAbsoluteComputation< remove_complex< Sellp< default_precision, int32 > > >, and gko::EnableAbsoluteComputation< remove_complex< Vector< double > > >.

The documentation for this class was generated from the following file:

- ginkgo/core/base/lin_op.hpp